% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TCGAquery_clinical.R
\name{TCGAquery_clinic}
\alias{TCGAquery_clinic}
\title{Get the clinical information}
\usage{
TCGAquery_clinic(tumor, clinical_data_type, samples)
}
\arguments{
\item{tumor}{a character vector indicating cancer type Examples:
\tabular{lllll}{
OV   \tab BRCA \tab CESC \tab ESCA \tab PCPG\cr
LUSC \tab LGG  \tab SKCM \tab KICH \tab CHOL\cr
GBM  \tab UCEC \tab PRAD \tab PAAD \tab THYM\cr
KIRC \tab THCA \tab SARC \tab LAML \tab TGCT\cr
COAD \tab KIRP \tab HNSC \tab ACC  \tab UVM \cr
READ \tab BLCA \tab DLBC \tab UCS  \tab FPPP\cr
LUAD \tab LIHC \tab STAD \tab MESO \tab CNTL
}
For information about cancer types: https://tcga-data.nci.nih.gov/tcga/}

\item{clinical_data_type}{a character vector indicating the types of
clinical data Example:
\tabular{ll}{
biospecimen_aliquot \tab biospecimen_analyte \cr
biospecimen_cqcf \tab biospecimen_diagnostic_slides \cr
biospecimen_normal_control \tab biospecimen_portion \cr
biospecimen_protocol \tab biospecimen_sample \cr
biospecimen_shipment_portion \tab biospecimen_slide \cr
biospecimen_tumor_sample \tab clinical_cqcf \cr
clinical_drug \tab clinical_follow_up_v1.5 \cr
clinical_follow_up_v2.1 \tab clinical_follow_up_v4.0 \cr
clinical_follow_up_v4.0_nte \tab clinical_nte \cr
clinical_omf_v4.0 \tab clinical_patient \cr
clinical_radiation
}}

\item{samples}{List of barcodes to get the clinical data}
}
\value{
clinic data
}
\description{
Get the clinical information
}
\examples{
data <- TCGAquery_clinic("LGG","clinical_drug")
data <- TCGAquery_clinic(clinical_data_type = "clinical_patient",
samples = c("TCGA-06-5416-01A-01D-1481-05",
            "TCGA-2G-AAEW-01A-11D-A42Z-05",
            "TCGA-2G-AAEX-01A-11D-A42Z-05"))
}

